%define major	0
%define libname	%mklibname %{name} %{major}
%define liblsr	%mklibname %{name}-lsr %{major}
%define devname	%mklibname %{name} -d
%define devlsr	%mklibname %{name}-lsr -d

Name:		soxr
Version:	0.1.3
Release:	%mkrel 7
Summary:	The SoX Resampler library
License:	LGPLv2+
Group:		Sound/Editors and Converters
Url:		https://sourceforge.net/p/soxr/wiki/Home/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}-Source.tar.xz
Patch0:		lm.patch
Patch1:		soxr-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	libgomp-devel

%description
The SoX Resampler library libsoxr performs one-dimensional sample-rate
conversion -- it may be used, for example, to resample PCM-encoded audio.

#------------------------------------------------

%package -n	%{libname}
Summary:	The SoX Resampler shared library
Group:		System/Libraries

%description -n	%{libname}
The SoX Resampler shared library.

It's high quality, one-dimensional sample-rate conversion library.

%files -n %{libname}
%doc NEWS README
%license LICENCE
%{_libdir}/libsoxr.so.%{major}{,.*}

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains libraries and header files for developing applications
that use %{name}.

It's high quality, one-dimensional sample-rate conversion library.

%files -n %{devname}
%{_includedir}/soxr.h
%{_libdir}/libsoxr.so
%{_libdir}/pkgconfig/soxr.pc

#------------------------------------------------

%package -n	%{liblsr}
Summary:	The SoX Resampler shared library
Group:		System/Libraries

%description -n	%{liblsr}
The SoX Resampler shared library.

It's high quality, one-dimensional sample-rate conversion library
(with libsamplerate-like bindings).

%files -n %{liblsr}
%doc NEWS README
%license LICENCE
%{_libdir}/libsoxr-lsr.so.%{major}{,.*}

#------------------------------------------------

%package -n	%{devlsr}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{liblsr} = %{version}-%{release}
Provides:	%{name}-lsr = %{version}-%{release}
Provides:	lib%{name}-lsr-devel = %{version}-%{release}

%description -n	%{devlsr}
This package contains libraries and header files for developing applications
that use %{name}.

It's high quality, one-dimensional sample-rate conversion library
(with libsamplerate-like bindings).

%files -n %{devlsr}
%{_includedir}/soxr-lsr.h
%{_libdir}/libsoxr-lsr.so
%{_libdir}/pkgconfig/soxr-lsr.pc

#------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}-Source

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove docs and use the rpmbuild macro instead
rm -rf %{buildroot}%{_docdir}/*


%changelog
* Thu Jun 26 2025 daviddavid <daviddavid> 0.1.3-7.mga10
+ Revision: 2197708
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 0.1.3-6.mga9
+ Revision: 1795182
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 daviddavid <daviddavid> 0.1.3-5.mga8
+ Revision: 1520118
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Nov 02 2018 pterjan <pterjan> 0.1.3-4.mga7
+ Revision: 1327561
- Fix build on arm

* Sun Sep 23 2018 umeabot <umeabot> 0.1.3-3.mga7
+ Revision: 1301119
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 daviddavid <daviddavid> 0.1.3-2.mga7
+ Revision: 1204900
- BR libgomp-devel for missing OpenMP

* Sun Feb 25 2018 daviddavid <daviddavid> 0.1.3-1.mga7
+ Revision: 1204895
- new version: 0.1.3

* Sun Nov 13 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1066965
- imported package soxr (based on OpenMandriva)

